Get quota notification threshold
curl --request GET \
--url https://api.gcore.com/cloud/v2/client_quotas/{client_id}/notification_threshold \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/cloud/v2/client_quotas/{client_id}/notification_threshold"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v2/client_quotas/{client_id}/notification_threshold', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"client_id": 2,
"last_message": {
"global_quotas": {
"inference_cpu_millicore_count_limit": {
"limit": 10,
"usage": 8
},
"inference_cpu_millicore_count_usage": {
"limit": 10,
"usage": 8
},
"inference_gpu_a100_count_limit": {
"limit": 10,
"usage": 8
},
"inference_gpu_a100_count_usage": {
"limit": 10,
"usage": 8
},
"inference_gpu_h100_count_limit": {
"limit": 10,
"usage": 8
},
"inference_gpu_h100_count_usage": {
"limit": 10,
"usage": 8
},
"inference_gpu_l40s_count_limit": {
"limit": 10,
"usage": 8
},
"inference_gpu_l40s_count_usage": {
"limit": 10,
"usage": 8
},
"inference_instance_count_limit": {
"limit": 10,
"usage": 8
},
"inference_instance_count_usage": {
"limit": 10,
"usage": 8
},
"inference_public_model_api_key_count_limit": {
"limit": 10,
"usage": 8
},
"inference_public_model_api_key_count_usage": {
"limit": 10,
"usage": 8
},
"keypair_count_limit": {
"limit": 10,
"usage": 8
},
"keypair_count_usage": {
"limit": 10,
"usage": 8
},
"project_count_limit": {
"limit": 10,
"usage": 8
},
"project_count_usage": {
"limit": 10,
"usage": 8
}
},
"regional_quotas": [
{
"region_id": 2,
"region_name": "Luxembourg",
"baremetal_basic_count_limit": {
"limit": 10,
"usage": 8
},
"baremetal_basic_count_usage": {
"limit": 10,
"usage": 8
},
"baremetal_gpu_a100_count_limit": {
"limit": 10,
"usage": 8
},
"baremetal_gpu_a100_count_usage": {
"limit": 10,
"usage": 8
},
"baremetal_gpu_h100_count_limit": {
"limit": 10,
"usage": 8
},
"baremetal_gpu_h100_count_usage": {
"limit": 10,
"usage": 8
},
"baremetal_gpu_h200_count_limit": {
"limit": 10,
"usage": 8
},
"baremetal_gpu_h200_count_usage": {
"limit": 10,
"usage": 8
},
"baremetal_gpu_l40s_count_limit": {
"limit": 10,
"usage": 8
},
"baremetal_gpu_l40s_count_usage": {
"limit": 10,
"usage": 8
},
"baremetal_hf_count_limit": {
"limit": 10,
"usage": 8
},
"baremetal_hf_count_usage": {
"limit": 10,
"usage": 8
},
"baremetal_infrastructure_count_limit": {
"limit": 10,
"usage": 8
},
"baremetal_infrastructure_count_usage": {
"limit": 10,
"usage": 8
},
"baremetal_network_count_limit": {
"limit": 10,
"usage": 8
},
"baremetal_network_count_usage": {
"limit": 10,
"usage": 8
},
"baremetal_storage_count_limit": {
"limit": 10,
"usage": 8
},
"baremetal_storage_count_usage": {
"limit": 10,
"usage": 8
},
"caas_container_count_limit": {
"limit": 10,
"usage": 8
},
"caas_container_count_usage": {
"limit": 10,
"usage": 8
},
"caas_cpu_count_limit": {
"limit": 10,
"usage": 8
},
"caas_cpu_count_usage": {
"limit": 10,
"usage": 8
},
"caas_gpu_count_limit": {
"limit": 10,
"usage": 8
},
"caas_gpu_count_usage": {
"limit": 10,
"usage": 8
},
"caas_ram_size_limit": {
"limit": 10,
"usage": 8
},
"caas_ram_size_usage": {
"limit": 10,
"usage": 8
},
"cluster_count_limit": {
"limit": 10,
"usage": 8
},
"cluster_count_usage": {
"limit": 10,
"usage": 8
},
"cpu_count_limit": {
"limit": 10,
"usage": 8
},
"cpu_count_usage": {
"limit": 10,
"usage": 8
},
"dbaas_postgres_cluster_count_limit": {
"limit": 10,
"usage": 8
},
"dbaas_postgres_cluster_count_usage": {
"limit": 10,
"usage": 8
},
"external_ip_count_limit": {
"limit": 10,
"usage": 8
},
"external_ip_count_usage": {
"limit": 10,
"usage": 8
},
"faas_cpu_count_limit": {
"limit": 10,
"usage": 8
},
"faas_cpu_count_usage": {
"limit": 10,
"usage": 8
},
"faas_function_count_limit": {
"limit": 10,
"usage": 8
},
"faas_function_count_usage": {
"limit": 10,
"usage": 8
},
"faas_namespace_count_limit": {
"limit": 10,
"usage": 8
},
"faas_namespace_count_usage": {
"limit": 10,
"usage": 8
},
"faas_ram_size_limit": {
"limit": 10,
"usage": 8
},
"faas_ram_size_usage": {
"limit": 10,
"usage": 8
},
"firewall_count_limit": {
"limit": 10,
"usage": 8
},
"firewall_count_usage": {
"limit": 10,
"usage": 8
},
"floating_count_limit": {
"limit": 10,
"usage": 8
},
"floating_count_usage": {
"limit": 10,
"usage": 8
},
"gpu_count_limit": {
"limit": 10,
"usage": 8
},
"gpu_count_usage": {
"limit": 10,
"usage": 8
},
"gpu_virtual_a100_count_limit": {
"limit": 10,
"usage": 8
},
"gpu_virtual_a100_count_usage": {
"limit": 10,
"usage": 8
},
"gpu_virtual_h100_count_limit": {
"limit": 10,
"usage": 8
},
"gpu_virtual_h100_count_usage": {
"limit": 10,
"usage": 8
},
"gpu_virtual_h200_count_limit": {
"limit": 10,
"usage": 8
},
"gpu_virtual_h200_count_usage": {
"limit": 10,
"usage": 8
},
"gpu_virtual_l40s_count_limit": {
"limit": 10,
"usage": 8
},
"gpu_virtual_l40s_count_usage": {
"limit": 10,
"usage": 8
},
"image_count_limit": {
"limit": 10,
"usage": 8
},
"image_count_usage": {
"limit": 10,
"usage": 8
},
"image_size_limit": {
"limit": 10,
"usage": 8
},
"image_size_usage": {
"limit": 10,
"usage": 8
},
"ipu_count_limit": {
"limit": 10,
"usage": 8
},
"ipu_count_usage": {
"limit": 10,
"usage": 8
},
"laas_topic_count_limit": {
"limit": 10,
"usage": 8
},
"laas_topic_count_usage": {
"limit": 10,
"usage": 8
},
"loadbalancer_count_limit": {
"limit": 10,
"usage": 8
},
"loadbalancer_count_usage": {
"limit": 10,
"usage": 8
},
"network_count_limit": {
"limit": 10,
"usage": 8
},
"network_count_usage": {
"limit": 10,
"usage": 8
},
"ram_limit": {
"limit": 10,
"usage": 8
},
"ram_usage": {
"limit": 10,
"usage": 8
},
"registry_count_limit": {
"limit": 10,
"usage": 8
},
"registry_count_usage": {
"limit": 10,
"usage": 8
},
"registry_storage_limit": {
"limit": 10,
"usage": 8
},
"registry_storage_usage": {
"limit": 10,
"usage": 8
},
"router_count_limit": {
"limit": 10,
"usage": 8
},
"router_count_usage": {
"limit": 10,
"usage": 8
},
"secret_count_limit": {
"limit": 10,
"usage": 8
},
"secret_count_usage": {
"limit": 10,
"usage": 8
},
"servergroup_count_limit": {
"limit": 10,
"usage": 8
},
"servergroup_count_usage": {
"limit": 10,
"usage": 8
},
"sfs_count_limit": {
"limit": 10,
"usage": 8
},
"sfs_count_usage": {
"limit": 10,
"usage": 8
},
"sfs_size_limit": {
"limit": 10,
"usage": 8
},
"sfs_size_usage": {
"limit": 10,
"usage": 8
},
"shared_vm_count_limit": {
"limit": 10,
"usage": 8
},
"shared_vm_count_usage": {
"limit": 10,
"usage": 8
},
"snapshot_schedule_count_limit": {
"limit": 10,
"usage": 8
},
"snapshot_schedule_count_usage": {
"limit": 10,
"usage": 8
},
"subnet_count_limit": {
"limit": 10,
"usage": 8
},
"subnet_count_usage": {
"limit": 10,
"usage": 8
},
"vm_count_limit": {
"limit": 10,
"usage": 8
},
"vm_count_usage": {
"limit": 10,
"usage": 8
},
"volume_count_limit": {
"limit": 10,
"usage": 8
},
"volume_count_usage": {
"limit": 10,
"usage": 8
},
"volume_size_limit": {
"limit": 10,
"usage": 8
},
"volume_size_usage": {
"limit": 10,
"usage": 8
},
"volume_snapshots_count_limit": {
"limit": 10,
"usage": 8
},
"volume_snapshots_count_usage": {
"limit": 10,
"usage": 8
},
"volume_snapshots_size_limit": {
"limit": 10,
"usage": 8
},
"volume_snapshots_size_usage": {
"limit": 10,
"usage": 8
}
}
]
},
"last_sending": null,
"threshold": 95
}Quotas
Get quota notification threshold
Get a client’s quota notification threshold. This threshold is used to send warning notifications to the client when their quota usage reaches the specified percentage. Defaults to 80% if not set.
GET
/
cloud
/
v2
/
client_quotas
/
{client_id}
/
notification_threshold
Get quota notification threshold
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Client ID
Example:
3
Response
200 - application/json
OK
Client id
Example:
2
A message data
Show child attributes
Show child attributes
Time of last successful email sending
Example:
null
Quota notification threshold in percentage
Required range:
60 <= x <= 100Example:
95
Was this page helpful?
⌘I